class baseModule:
	abort=False		# request for this command to be aborted
	svn_commands=[]		# which commands to activate on, this checks the literal input so a module
				# that activates on a checkout needs to have ['checkout', 'co']
				# if '*' is in the list, it means it will activate for all svn commands
	parent=None		# reference to the SVNShortcuts instance that loaded the module (it gets set in __init__)
	config={}
	
	def __init__(self, parent):
		self.parent=parent
	
	def start(self, args):
		# assume the svn command is always the second argument (the first argument is the full path to svn)
		if len(args) > 1 and ('*' in self.svn_commands or args[1] in self.svn_commands):
			myName=self.__class__.__name__
			self.parent.printString("Running module %s." % (myName,) )
			self.parent.printString( "checking for config:" + myName)
			if self.parent.config.has_section(myName):
				self.config=self._convertToDict(self.parent.config.items(myName))
				self.parent.printString( "loaded config:" + myName)
			
			args=self.preCommand(args)
	
		#return None
		return (self.abort, args)
		
	def preCommand(self, args):
		return args
		
	def _convertToDict(self, config_list):
		tmp={}
		for cfg in config_list :
			tmp[cfg[0]]=cfg[1]
		return tmp
