#!/bin/bash
mkdir -p ~/.svn-extender/modules/
cp -rv bin/modules/ ~/.svn-extender/

mkdir -p ~/bin
cp -v bin/svn.py ~/bin/svn

cp -v config.ini ~/.svn-extender/
if [ -e ~/.svn_shortcuts.conf ]; then
	echo "Converting old config file"
	echo "All of the settings in your old config will be commented out, but changed to the new syntax."
	echo "They're commented to avoid conflicts with the base config"
	echo -e "\n\n; Converted from $HOME/.svn_shortcuts.conf" >> ~/.svn-extender/config.ini
	cat ~/.svn_shortcuts.conf | 
		sed -r s/"^(\w+)=(\w+):(.*)"/";\1=%(\2)s\3"/g | 
		sed s/"#"/";"/g |
		sed s/"^option"/"; \0"/g >> ~/.svn-extender/config.ini
fi


if [ "$(echo $PATH | cut -d ":" -f 1)" != "$HOME/bin" ]; then
	echo "$HOME/bin is not the first item in your path."
	echo "Ubuntu will check if the folder exists when you log in before adding it to the begining of your path."
	echo "if logging out and back in doesn't set this you may need to add it to your ~/.profile"
fi



